/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 rlpP.pov
 
 Here's a demonstration of how you might make fonts with the rlp macros.
 
*/
  ////
 //   example   //     
//_____________//      
global_settings {charset utf8 assumed_gamma 1.0}  
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
// Define the string to be typeset
CL_rlp_make_text_string_set(3) // Defines CL_tiny_space,CL_small_space,CL_medium_space,CL_large_space,CL_huge_space,CL_letter_adjust,
//                                        CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type as globals
//
#local text_function_elements = array[4]{"#b|!|!_n#sin","#2n|pt","#T",""};  
#local fraction_function      = object{CL_rlp_make_text_function_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_letter_adjust,CL_letter_adjust,
                                                                          CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                          text_function_elements,1,1,
                                                                          CL_medium_space,CL_medium_space,0,CL_dimensions_out)}  

object{fraction_function translate <-CL_dimensions_out[0]/2,0,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

camera{orthographic location<-20,7,-50> look_at <0,1,0> angle 15}

//camera{orthographic
//  location<18,2,-15>
//  look_at <18,1,0>
//  angle 15 
//}
